package edu.harvard.mgh.purcell.gplink.forms;

import javax.swing.JLabel;

import edu.harvard.mgh.purcell.gplink.base_form.Forms;
import edu.harvard.mgh.purcell.gplink.mainGUI.*;

@SuppressWarnings("serial")
public class IndvHeteroForm extends Forms {

	public IndvHeteroForm(MainFrame mf) {
		super(mf, "Individual heterozygosity");
	}

	@Override
	protected void createBody() {
		body.add(new JLabel("Individual heterozygosity (--het)"));
		return;
	}

	@Override
	protected String processBody() {
		return "--het";
	}

	@Override
	protected boolean isBodyValid() {
		return true;
	}

	@Override
	protected void initalize() {
		return;
	}

}
